/*
	File:		BuildConditionals.h

	Contains:	Defines used to control what capabilities are built

	Written by: Dave Falkenburg	

	Copyright:	Copyright  1994-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				9/9/94		DRF				Conditionalize AOCE support. Assume just a base system for now.
				9/1/94		DRF				We only run under System 7.0 or later. NOTE: This typically
											requires rebuilding precompiled headers.
 */
	 
		 

#ifndef	_BUILDCONDITIONALS_
#define	_BUILDCONDITIONALS_

#ifndef SystemSevenOrLater
#define	SystemSevenOrLater	1
#endif

#ifndef	USEOLDUNIVERSALHEADERS
#define	USEOLDUNIVERSALHEADERS		0
#endif

#ifndef	qDebug
#define	qDebug						0
#endif

#ifndef	qAOCEAware
#define	qAOCEAware					0
#endif

#ifndef	qUseQuickDrawGX
#define	qUseQuickDrawGX				0
#define	qRequireDrawGX				0
#define	qUseQuickDrawGXDebugging	0
#endif

#ifndef	qRequireThreadManager
#define	qRequireThreadManager	1
#endif

#ifndef	qInlineInputAware
#define	qInlineInputAware	0
#endif

#if	qUseQuickDrawGX
//	Tell QuickDrawGX that we use universal headers
#define	ppcinterfaces		1
#endif

#endif
