/*
	File:		DialogWindow.h

	Contains:	Interfaces of a base class for Modeless Dialogs

	Written by: Dave Falkenburg	

	Copyright:	Copyright  1993-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				11/8/94		DRF				We have better menu handling methods, so use them instead of the
											old DoEditMenu method.
		 		10/17/94	DRF				Made ItemHit a pure virtual method.

*/

#ifndef		_DIALOGWINDOW_
#define		_DIALOGWINDOW_

#ifndef		_WINDOW_
#include	"Window.h"
#endif

#ifndef		__DIALOGS__
#include	<Dialogs.h>
#endif

typedef	short	DialogTemplateID;
typedef	short	DialogItemID;


class	TDialogWindow	:	public	TWindow
	{
private:
	DialogTemplateID	fTemplateID;
	
public:
						TDialogWindow(DialogTemplateID theDialogTemplate);
	
	virtual	Boolean		EventFilter(EventRecord *theEvent);

	virtual WindowPtr	MakeNewWindow(WindowPtr behindWindow);

	virtual void		Activate(Boolean activating);
	virtual void		Draw(void);
	virtual void		Click(EventRecord *anEvent);

	virtual void		DoMenuSelection(short menu, short item);
	
//	New methods that MUST be overridden:

	virtual	void		ItemHit(short theItem) = 0;
	};

#endif
